---
title: name
slug: Web/XPath/Functions/name
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>name</code> function returns a string representing the QName of the first node in a given node-set.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">name( [<em>node-set</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>node-set</em></code> (optional)</dt>
 <dd>The QName of the first node in this node-set will be returned. If this argument is omitted, the current context node will be used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string representing the QName of a node.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>The <a class="external" href="http://www.w3.org/TR/REC-xml-names/#NT-QName">QName</a> is the node's qualified name, including its namespace prefix and its local name.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-local-name">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
